Bug 125803

Summary: Add layer hosting mode to ViewState
Product: WebKit Reporter: Gavin Barraclough <barraclough>
Component: WebKit2Assignee: Gavin Barraclough <barraclough>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, cdumez, cgarcia, cmarcelo, commit-queue, eflews.bot, gns, gyuyoung.kim, luiz, mrobinson, noam, philn, rakuco, rego+ews, rniwa, xan.lopez, zeno
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Fix
andersca: review+, buildbot: commit-queue-
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2
none
Anders review fix + speculative gtk/efl fix.
barraclough: review+, eflews.bot: commit-queue-
Bah import.
eflews.bot: commit-queue-
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2
none
Add missing PageClientImpl::isLayerWindowServerHosted() for gtk/ios
eflews.bot: commit-queue-
More fixage
buildbot: commit-queue-
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2
none
Can't repro the mathml failures locally, giving the bot another try.
buildbot: commit-queue-
Archive of layout-test-results from webkit-ews-13 for mac-mountainlion-wk2
none
Fix
none
D'oh
buildbot: commit-queue-
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2
none
Testing the trybot
none
Testing partial patch - this will end up clearing the server hosted state until the view goes into a window.
none
Another partial patch
none
Another partial patch
eflews.bot: commit-queue-
Another partial patch
none
Another partial patch
buildbot: commit-queue-
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2
none
Again
buildbot: commit-queue-
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2
none
again
none
again
buildbot: commit-queue-
again
buildbot: commit-queue-
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2
none
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2
none
again
none
again
none
again
none
again
none
again
none
Fixed? none

Description Gavin Barraclough 2013-12-16 14:36:58 PST
When the view state of the page is updated the layer mode may also change. Currently this is passed by a separate message, remove this and fold it into ViewState.

Previously the setLayerHostingMode message would be passed to the DrawingArea, which would inform the WebPage. Since the WebPage is passed the SetVisibilityState messgae reverse this.

WebPageProxy had a policy of only updating the hosting mode when visible - the value is sticky whilst the view is not visible. Make this policy explicit in the PageClientImpl, rather then implicit from the flow control.
Comment 1 Gavin Barraclough 2013-12-16 14:38:06 PST
Created attachment 219355 [details]
Fix
Comment 2 Anders Carlsson 2013-12-16 17:16:28 PST
Comment on attachment 219355 [details]
Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=219355&action=review

> Source/WebKit2/WebProcess/WebPage/WebPage.cpp:3052
> +    for (HashSet<PluginView*>::const_iterator it = m_pluginViews.begin(), end = m_pluginViews.end(); it != end; ++it)
> +        (*it)->setLayerHostingMode(layerHostingMode);

This can be a range-based for loop.
Comment 3 Build Bot 2013-12-16 17:41:56 PST
Comment on attachment 219355 [details]
Fix

Attachment 219355 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/46338172

New failing tests:
fast/css/box-shadow-viewport-vmin.html
fast/css/box-shadow-negative-viewportlength.html
fast/css/box-shadow-viewport-height.html
fast/css/border-radius-inset-box-shadow-viewportlength.html
fast/css/box-shadow-viewport-width.html
mathml/presentation/mfrac-linethickness3.html
fast/css/drop-shadow-viewport-vmax.html
fast/css/border-radius-viewport-vmin.html
platform/mac-wk2/tiled-drawing/window-server-snapshots-work.html
fast/css/box-shadow-viewport-vmax.html
fast/css/drop-shadow-viewport-height.html
mathml/presentation/fractions-color.html
platform/mac/fonts/han-disunification.html
mathml/presentation/attributes-style.html
fast/css/border-radius-viewport-height.html
mathml/presentation/scripts-font-size.html
mathml/presentation/style-color-sqrt.html
fast/css/border-radius-viewport-vmax.html
mathml/presentation/mfrac-linethickness1.html
mathml/presentation/mo-stretchy-vertical-bar.html
fast/css/drop-shadow-viewport-width.html
fast/harness/sample-mismatch-reftest.html
fast/css/drop-shadow-viewport-vmin.html
Comment 4 Build Bot 2013-12-16 17:41:58 PST
Created attachment 219377 [details]
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-11  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 5 EFL EWS Bot 2013-12-16 18:46:32 PST
Comment on attachment 219355 [details]
Fix

Attachment 219355 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/49118233
Comment 6 Gavin Barraclough 2013-12-17 11:17:52 PST
Created attachment 219432 [details]
Anders review fix + speculative gtk/efl fix.
Comment 7 Gavin Barraclough 2013-12-17 11:18:45 PST
Comment on attachment 219432 [details]
Anders review fix + speculative gtk/efl fix.

Ooops, didn't mean to set r? – this change r+'ed already by Anders.
Comment 8 EFL EWS Bot 2013-12-17 11:40:41 PST
Comment on attachment 219432 [details]
Anders review fix + speculative gtk/efl fix.

Attachment 219432 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/49928270
Comment 9 Gavin Barraclough 2013-12-17 12:02:57 PST
Created attachment 219438 [details]
Bah import.
Comment 10 EFL EWS Bot 2013-12-17 12:22:22 PST
Comment on attachment 219438 [details]
Bah import.

Attachment 219438 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/46658495
Comment 11 Build Bot 2013-12-17 13:06:51 PST
Comment on attachment 219438 [details]
Bah import.

Attachment 219438 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/47628237

New failing tests:
fast/css/box-shadow-viewport-vmin.html
fast/regions/repaint/fixed-in-named-flow-cb-changed2.html
fast/css/box-shadow-negative-viewportlength.html
fast/css/box-shadow-viewport-height.html
fast/css/border-radius-inset-box-shadow-viewportlength.html
fast/css/box-shadow-viewport-width.html
mathml/presentation/mfrac-linethickness3.html
fast/css/drop-shadow-viewport-vmax.html
fast/css/border-radius-viewport-vmin.html
mathml/presentation/attributes-style.html
platform/mac-wk2/tiled-drawing/window-server-snapshots-work.html
fast/css/box-shadow-viewport-vmax.html
fast/css/drop-shadow-viewport-height.html
mathml/presentation/fractions-color.html
platform/mac/fonts/han-disunification.html
fast/regions/repaint/fixed-in-named-flow-cb-changed.html
fast/css/border-radius-viewport-height.html
mathml/presentation/scripts-font-size.html
mathml/presentation/style-color-sqrt.html
fast/css/border-radius-viewport-vmax.html
mathml/presentation/mfrac-linethickness1.html
mathml/presentation/mo-stretchy-vertical-bar.html
fast/css/drop-shadow-viewport-width.html
fast/harness/sample-mismatch-reftest.html
fast/css/drop-shadow-viewport-vmin.html
Comment 12 Build Bot 2013-12-17 13:06:53 PST
Created attachment 219444 [details]
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-14  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 13 Gavin Barraclough 2013-12-17 13:40:33 PST
Created attachment 219447 [details]
Add missing PageClientImpl::isLayerWindowServerHosted() for gtk/ios
Comment 14 WebKit Commit Bot 2013-12-17 13:41:56 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 15 EFL EWS Bot 2013-12-17 15:19:53 PST
Comment on attachment 219447 [details]
Add missing PageClientImpl::isLayerWindowServerHosted() for gtk/ios

Attachment 219447 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/49598271
Comment 16 Gavin Barraclough 2013-12-17 16:01:45 PST
Created attachment 219461 [details]
More fixage
Comment 17 Build Bot 2013-12-17 19:06:14 PST
Comment on attachment 219461 [details]
More fixage

Attachment 219461 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/48008346

New failing tests:
editing/unsupported-content/list-type-before.html
editing/unsupported-content/table-type-before.html
fast/css/box-shadow-viewport-vmin.html
editing/unsupported-content/list-delete-003.html
fast/css/border-radius-inset-box-shadow-viewportlength.html
fast/css/box-shadow-negative-viewportlength.html
fast/css/box-shadow-viewport-height.html
editing/unsupported-content/table-delete-002.html
editing/unsupported-content/list-delete-001.html
fast/css/box-shadow-viewport-width.html
mathml/presentation/mfrac-linethickness3.html
fast/css/drop-shadow-viewport-vmax.html
fast/css/border-radius-viewport-vmin.html
platform/mac-wk2/tiled-drawing/window-server-snapshots-work.html
fast/css/box-shadow-viewport-vmax.html
fast/css/drop-shadow-viewport-height.html
mathml/presentation/fractions-color.html
platform/mac/fonts/han-disunification.html
mathml/presentation/attributes-style.html
fast/css/border-radius-viewport-height.html
mathml/presentation/scripts-font-size.html
mathml/presentation/style-color-sqrt.html
fast/css/border-radius-viewport-vmax.html
editing/unsupported-content/list-type-after.html
mathml/presentation/mfrac-linethickness1.html
mathml/presentation/mo-stretchy-vertical-bar.html
fast/css/drop-shadow-viewport-width.html
fast/harness/sample-mismatch-reftest.html
editing/unsupported-content/table-type-after.html
fast/css/drop-shadow-viewport-vmin.html
Comment 18 Build Bot 2013-12-17 19:06:24 PST
Created attachment 219491 [details]
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-11  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 19 EFL EWS Bot 2013-12-17 19:28:09 PST
Comment on attachment 219461 [details]
More fixage

Attachment 219461 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/48388142
Comment 20 Gavin Barraclough 2013-12-17 19:39:47 PST
Created attachment 219495 [details]
Can't repro the mathml failures locally, giving the bot another try.
Comment 21 Build Bot 2013-12-17 20:30:19 PST
Comment on attachment 219495 [details]
Can't repro the mathml failures locally, giving the bot another try.

Attachment 219495 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/50378047

New failing tests:
editing/unsupported-content/list-type-before.html
editing/unsupported-content/table-type-before.html
fast/css/box-shadow-viewport-vmin.html
editing/unsupported-content/list-delete-003.html
fast/css/border-radius-inset-box-shadow-viewportlength.html
fast/css/box-shadow-negative-viewportlength.html
fast/css/box-shadow-viewport-height.html
editing/unsupported-content/table-delete-002.html
editing/unsupported-content/list-delete-001.html
fast/css/box-shadow-viewport-width.html
mathml/presentation/mfrac-linethickness3.html
fast/css/drop-shadow-viewport-vmax.html
fast/css/border-radius-viewport-vmin.html
platform/mac-wk2/tiled-drawing/window-server-snapshots-work.html
fast/css/box-shadow-viewport-vmax.html
fast/css/drop-shadow-viewport-height.html
mathml/presentation/fractions-color.html
platform/mac/fonts/han-disunification.html
mathml/presentation/attributes-style.html
fast/css/border-radius-viewport-height.html
mathml/presentation/scripts-font-size.html
mathml/presentation/style-color-sqrt.html
fast/css/border-radius-viewport-vmax.html
editing/unsupported-content/list-type-after.html
mathml/presentation/mfrac-linethickness1.html
mathml/presentation/mo-stretchy-vertical-bar.html
fast/css/drop-shadow-viewport-width.html
fast/harness/sample-mismatch-reftest.html
editing/unsupported-content/table-type-after.html
fast/css/drop-shadow-viewport-vmin.html
Comment 22 Build Bot 2013-12-17 20:30:24 PST
Created attachment 219501 [details]
Archive of layout-test-results from webkit-ews-13 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-13  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 23 Gavin Barraclough 2013-12-18 02:28:19 PST
Created attachment 219514 [details]
Fix
Comment 24 Gavin Barraclough 2013-12-18 02:52:11 PST
Created attachment 219516 [details]
D'oh
Comment 25 Build Bot 2013-12-18 06:50:24 PST
Comment on attachment 219516 [details]
D'oh

Attachment 219516 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/49938422

New failing tests:
fast/css/box-shadow-viewport-vmin.html
fast/css/box-shadow-negative-viewportlength.html
fast/css/box-shadow-viewport-height.html
fast/css/border-radius-inset-box-shadow-viewportlength.html
fast/css/box-shadow-viewport-width.html
mathml/presentation/mfrac-linethickness3.html
fast/css/drop-shadow-viewport-vmax.html
fast/css/border-radius-viewport-vmin.html
platform/mac-wk2/tiled-drawing/window-server-snapshots-work.html
fast/css/box-shadow-viewport-vmax.html
fast/css/drop-shadow-viewport-height.html
mathml/presentation/fractions-color.html
platform/mac/fonts/han-disunification.html
mathml/presentation/attributes-style.html
fast/css/border-radius-viewport-height.html
mathml/presentation/scripts-font-size.html
mathml/presentation/style-color-sqrt.html
fast/css/border-radius-viewport-vmax.html
mathml/presentation/mfrac-linethickness1.html
mathml/presentation/mo-stretchy-vertical-bar.html
fast/css/drop-shadow-viewport-width.html
fast/harness/sample-mismatch-reftest.html
fast/css/drop-shadow-viewport-vmin.html
Comment 26 Build Bot 2013-12-18 06:50:27 PST
Created attachment 219531 [details]
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-12  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 27 Gavin Barraclough 2013-12-18 08:46:55 PST
Created attachment 219542 [details]
Testing the trybot
Comment 28 Gavin Barraclough 2013-12-18 21:27:53 PST
Created attachment 219613 [details]
Testing partial patch - this will end up clearing the server hosted state until the view goes into a window.
Comment 29 Gavin Barraclough 2013-12-18 22:18:17 PST
Created attachment 219615 [details]
Another partial patch
Comment 30 Gavin Barraclough 2013-12-18 23:03:07 PST
Created attachment 219621 [details]
Another partial patch
Comment 31 Gavin Barraclough 2013-12-18 23:40:14 PST
Created attachment 219625 [details]
Another partial patch
Comment 32 EFL EWS Bot 2013-12-19 00:33:18 PST
Comment on attachment 219621 [details]
Another partial patch

Attachment 219621 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/50608019
Comment 33 Gavin Barraclough 2013-12-19 12:12:54 PST
Created attachment 219672 [details]
Another partial patch
Comment 34 Build Bot 2013-12-19 12:45:34 PST
Comment on attachment 219672 [details]
Another partial patch

Attachment 219672 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/50208066

New failing tests:
fast/css/box-shadow-viewport-vmin.html
fast/css/box-shadow-negative-viewportlength.html
fast/css/box-shadow-viewport-height.html
fast/css/border-radius-inset-box-shadow-viewportlength.html
fast/css/box-shadow-viewport-width.html
mathml/presentation/mfrac-linethickness3.html
fast/css/drop-shadow-viewport-vmax.html
fast/css/border-radius-viewport-vmin.html
platform/mac-wk2/tiled-drawing/window-server-snapshots-work.html
fast/css/box-shadow-viewport-vmax.html
fast/css/drop-shadow-viewport-height.html
mathml/presentation/fractions-color.html
platform/mac/fonts/han-disunification.html
mathml/presentation/attributes-style.html
fast/css/border-radius-viewport-height.html
mathml/presentation/scripts-font-size.html
mathml/presentation/style-color-sqrt.html
fast/css/border-radius-viewport-vmax.html
mathml/presentation/mfrac-linethickness1.html
mathml/presentation/mo-stretchy-vertical-bar.html
fast/css/drop-shadow-viewport-width.html
fast/harness/sample-mismatch-reftest.html
fast/css/drop-shadow-viewport-vmin.html
Comment 35 Build Bot 2013-12-19 12:45:38 PST
Created attachment 219677 [details]
Archive of layout-test-results from webkit-ews-12 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-12  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 36 Gavin Barraclough 2013-12-19 22:56:40 PST
Created attachment 219733 [details]
Again
Comment 37 Build Bot 2013-12-19 23:55:52 PST
Comment on attachment 219733 [details]
Again

Attachment 219733 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/44378236

New failing tests:
fast/css/box-shadow-viewport-vmin.html
fast/css/box-shadow-negative-viewportlength.html
fast/css/box-shadow-viewport-height.html
fast/css/border-radius-inset-box-shadow-viewportlength.html
fast/css/box-shadow-viewport-width.html
mathml/presentation/mfrac-linethickness3.html
fast/css/drop-shadow-viewport-vmax.html
fast/css/border-radius-viewport-vmin.html
platform/mac-wk2/tiled-drawing/window-server-snapshots-work.html
fast/css/box-shadow-viewport-vmax.html
fast/css/drop-shadow-viewport-height.html
mathml/presentation/fractions-color.html
platform/mac/fonts/han-disunification.html
mathml/presentation/attributes-style.html
fast/css/border-radius-viewport-height.html
mathml/presentation/scripts-font-size.html
mathml/presentation/style-color-sqrt.html
fast/css/border-radius-viewport-vmax.html
mathml/presentation/mfrac-linethickness1.html
mathml/presentation/mo-stretchy-vertical-bar.html
fast/css/drop-shadow-viewport-width.html
fast/harness/sample-mismatch-reftest.html
fast/css/drop-shadow-viewport-vmin.html
Comment 38 Build Bot 2013-12-19 23:55:56 PST
Created attachment 219734 [details]
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-09  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 39 Gavin Barraclough 2013-12-20 00:07:45 PST
Created attachment 219735 [details]
again
Comment 40 Gavin Barraclough 2013-12-20 10:20:50 PST
Created attachment 219767 [details]
again
Comment 41 Gavin Barraclough 2013-12-20 11:56:20 PST
Created attachment 219778 [details]
again
Comment 42 Build Bot 2013-12-20 18:57:25 PST
Comment on attachment 219767 [details]
again

Attachment 219767 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/48928083

New failing tests:
editing/execCommand/format-block-multiple-paragraphs-in-pre.html
Comment 43 Build Bot 2013-12-20 18:57:29 PST
Created attachment 219829 [details]
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-15  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 44 Build Bot 2013-12-21 16:10:26 PST
Comment on attachment 219778 [details]
again

Attachment 219778 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/49768046

New failing tests:
fast/css/box-shadow-viewport-vmin.html
fast/css/box-shadow-negative-viewportlength.html
fast/css/box-shadow-viewport-height.html
fast/css/border-radius-inset-box-shadow-viewportlength.html
fast/css/box-shadow-viewport-width.html
mathml/presentation/mfrac-linethickness3.html
fast/css/drop-shadow-viewport-vmax.html
fast/css/border-radius-viewport-vmin.html
platform/mac-wk2/tiled-drawing/window-server-snapshots-work.html
fast/css/box-shadow-viewport-vmax.html
fast/css/drop-shadow-viewport-height.html
mathml/presentation/fractions-color.html
platform/mac/fonts/han-disunification.html
mathml/presentation/attributes-style.html
fast/css/border-radius-viewport-height.html
mathml/presentation/scripts-font-size.html
mathml/presentation/style-color-sqrt.html
fast/css/border-radius-viewport-vmax.html
mathml/presentation/mfrac-linethickness1.html
mathml/presentation/mo-stretchy-vertical-bar.html
fast/css/drop-shadow-viewport-width.html
fast/harness/sample-mismatch-reftest.html
fast/css/drop-shadow-viewport-vmin.html
Comment 45 Build Bot 2013-12-21 16:10:32 PST
Created attachment 219856 [details]
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-09  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 46 Gavin Barraclough 2013-12-21 19:13:33 PST
Created attachment 219858 [details]
again
Comment 47 WebKit Commit Bot 2013-12-21 19:15:37 PST
Attachment 219858 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit2/Shared/ViewState.h', u'Source/WebKit2/Shared/WebPageCreationParameters.cpp', u'Source/WebKit2/Shared/WebPageCreationParameters.h', u'Source/WebKit2/UIProcess/API/mac/PageClientImpl.h', u'Source/WebKit2/UIProcess/API/mac/PageClientImpl.mm', u'Source/WebKit2/UIProcess/CoordinatedGraphics/CoordinatedDrawingAreaProxy.cpp', u'Source/WebKit2/UIProcess/CoordinatedGraphics/CoordinatedDrawingAreaProxy.h', u'Source/WebKit2/UIProcess/DrawingAreaProxy.h', u'Source/WebKit2/UIProcess/DrawingAreaProxyImpl.cpp', u'Source/WebKit2/UIProcess/DrawingAreaProxyImpl.h', u'Source/WebKit2/UIProcess/PageClient.h', u'Source/WebKit2/UIProcess/WebPageProxy.cpp', u'Source/WebKit2/UIProcess/WebPageProxy.h', u'Source/WebKit2/UIProcess/mac/TiledCoreAnimationDrawingAreaProxy.h', u'Source/WebKit2/UIProcess/mac/TiledCoreAnimationDrawingAreaProxy.mm', u'Source/WebKit2/WebProcess/WebPage/DrawingArea.h', u'Source/WebKit2/WebProcess/WebPage/WebPage.cpp', u'Source/WebKit2/WebProcess/WebPage/mac/TiledCoreAnimationDrawingArea.mm', u'Source/WebKit2/WebProcess/WebPage/mac/WebPageMac.mm', '--commit-queue']" exit_code: 1
ERROR: Source/WebKit2/WebProcess/WebPage/WebPage.cpp:2109:  One line control clauses should not use braces.  [whitespace/braces] [4]
Total errors found: 1 in 9 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 48 Gavin Barraclough 2013-12-21 21:44:04 PST
Created attachment 219860 [details]
again
Comment 49 Gavin Barraclough 2013-12-21 21:47:09 PST
Created attachment 219861 [details]
again
Comment 50 Gavin Barraclough 2013-12-21 22:51:18 PST
Created attachment 219863 [details]
again
Comment 51 Gavin Barraclough 2013-12-21 22:52:25 PST
Created attachment 219864 [details]
again
Comment 52 Gavin Barraclough 2013-12-22 00:38:36 PST
Created attachment 219865 [details]
Fixed?
Comment 53 Gavin Barraclough 2013-12-22 08:42:29 PST
Committed revision 160977.